# GenderMachine

Because we want to be able to have nice things & not dissuade
colleagues/friends from staying in tech industry.

Clean room implementation of Gender predictor based on name.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'gender_machine'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install gender_machine

## Usage

```ruby
2.1.4 (main):0 > GenderMachine::Predictor.new(name: "Abdija").first
=> #<GenderMachine::Name:0x007fec25c8a0c8
 @frequency_string=
  "                                                 1                          ",
 @gender=:male,
 @name="Abdija",
 @raw=
  "M  Abdija                                                  1                          ">
```


## Credit

    Ruby code is licensed according to terms in LICENSE doc
    Datafile `lib/gender_machine/nam_dict.txt` is licensed GPL1.2 or greater. See file for full attribution.

## Contributing

1. Fork it ( https://github.com/zph/gender_machine/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
