# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gender_machine/version'

Gem::Specification.new do |spec|
  spec.name          = "gender_machine"
  spec.version       = GenderMachine::VERSION
  spec.authors       = ["Zander Hill"]
  spec.email         = ["zander@xargs.io"]
  spec.summary       = %q{Make sweeping, broad stroked predictions about gender based on name.}
  spec.description   = %q{Make sweeping, broad stroked predictions about gender based on name.}
  spec.homepage      = "https://github.com/zph/gender_machine"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'anima'
  spec.add_dependency 'moosex'
  spec.add_dependency 'require_all'
  spec.add_development_dependency 'pry-uber'
  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
